package net.rten.palmve.data.pool;

import androidx.room.Dao;
import androidx.room.Query;
import androidx.room.RewriteQueriesToDropUnusedColumns;

import java.util.List;

@Dao
public interface TestGeneratorDao {
    @RewriteQueriesToDropUnusedColumns
    @Query("SELECT * FROM QuestionView " +
            "INNER JOIN " +
            "(SELECT MIN(RANDOM()) AS r, _id AS randomQuestionId FROM Question " +
            " WHERE withdrawn <= 0 GROUP BY questiongroup) " +
            "ON QuestionView.id = randomQuestionId")
    List<QuestionView> generateTest();
}
