package net.rten.palmve.utilities;

import androidx.lifecycle.LiveData;

import net.rten.palmve.data.pool.PoolItemWithDescriptionAndDesignation;
import net.rten.palmve.data.pool.PoolItemWithId;

import java.util.List;

public interface GenericListBinder<
        HV extends PoolItemWithDescriptionAndDesignation,
        IV extends PoolItemWithId> {
    LiveData<List<IV>> getListFromModel();

    void onItemIdClicked(long id);
}