/*
 * PalmVE - Android amateur radio test practice program
 * Copyright (C) 2010 Michael A Ballbach
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.rten.palmve;

import android.content.Context;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

public class PoolListSeparator implements PoolListItem {
    private LinearLayout _layout;
    private TextView _tag;

    public PoolListSeparator() {
    }

    public void setContext(Context context) {
        _layout = (LinearLayout) View.inflate(context, R.layout.pool_item_separator, null);
        _tag = _layout.findViewById(R.id.poolItemSeparatorTag);
    }

    public void setListObject(Object object) {
        _tag.setText((String) object);
    }

    public View getView() {
        return _layout;
    }
}
