package net.rten.palmve.data.test;

import androidx.annotation.NonNull;
import androidx.room.migration.Migration;
import androidx.sqlite.db.SupportSQLiteDatabase;

/**
 * The ContentProvider based schema lacked indices present in the room DB.
 */
final class Migration_5_6 extends Migration {
    public Migration_5_6() {
        super(5, 6);
    }

    @Override
    public void migrate(@NonNull SupportSQLiteDatabase database) {
        database.execSQL("CREATE INDEX IF NOT EXISTS `index_TestHistory_firstquestion` ON `TestHistory` (`firstquestion`)");
        database.execSQL("CREATE INDEX IF NOT EXISTS `index_TestQuestions_testid` ON `TestQuestions` (`testid`)");
        database.execSQL("CREATE INDEX IF NOT EXISTS `index_TestQuestions_nextid` ON `TestQuestions` (`nextid`)");
    }
}
