package net.rten.palmve.data.test;

import androidx.room.DatabaseView;

@DatabaseView(
        "SELECT element, elementdatefield AS elementDate, COUNT(tq._id) AS questionCount, " +
                "tq.qgroupid AS questionGroupId, NULL AS questionId, " +
                "SUBSTR(tq.questiondesignation, 1, 3) || \"??\" AS designation, " +
                "tq.providedanswer == tq.correctanswer AS answersWereCorrect, " +
                "th.datecompleted AS testCompletionDate " +
                "FROM TestHistory th " +
                "INNER JOIN TestQuestions tq ON tq.testid = th._id " +
                "GROUP BY element, elementDate, questionGroupId, answersWereCorrect"
)
public class QuestionGroupStatsView extends StatsView {
}
