package net.rten.palmve.data.test;

import androidx.room.Database;
import androidx.room.RoomDatabase;
import androidx.room.TypeConverters;

import net.rten.palmve.data.Converters;

@Database(
        entities = {
                TestHistory.class,
                TestQuestions.class,
        },
        views = {
                QuestionStatsView.class,
                QuestionGroupStatsView.class,
        },
        // Version 5 was the last version to use the content provider.
        version = 9)
@TypeConverters({Converters.class})
public abstract class TestDatabase extends RoomDatabase {
    public abstract TestHistoryDao testDao();

    public abstract ActiveTestDao activeTestDao();

    public abstract StatsDao statsDao();
}
